Subject: connman integration issue after recent updates

From: "Reza Alizadeh Majd" <[email-masked]>
Date: Tue, 17 Dec 2019 20:12:48 +0330

Hi Guix, 

I'm using `connman` + `cmst` for network management on my guix machine, recently after I updated the system, I receive following message after login and `cmst` can't communicate with `connman`. I also  tried with `econnman` interface and received same error: 

```
Error Name: org.freedesktop.DBus.Error.AccessDenied

Error Message: Rejected send message, 3 matched rules; type="method_call", sender=":1.108" (uid=1000 pid=3870 comm="cmst ") interface="net.connman.Manager" member="GetTechnologies" error name="(unset)" requested_reply="0" destination="net.connman" (uid=0 pid=369 comm="/gnu/store/1ld7hpvnhcr5wjxd15bvgbwvd50j8i04-connma")
```

I also tried to modify `connman` package and add 

<allow send_interface="net.connman.Manager"/>

policy to connman debus config, based on suggested details in: 
https://forum.obarun.org/viewtopic.php?pid=3075#p3075

but the problem still occurs. 

--
Regards
Reza Alizadeh Majd
PantherX Team